// NewDoc.h : main header file for the NEWDOC application
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMDIApp:
// See NewDoc.cpp for the implementation of this class
//

class CMDIApp : public CWinApp
{
public:
	CMDIApp();

	// Member variables used to store the various
	// document templates objects that we create in
	// InitInstance()
	CMultiDocTemplate* m_ptDrawing;
	CMultiDocTemplate* m_ptCounter;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMDIApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CMDIApp)
	afx_msg void OnAppAbout();
	afx_msg void OnNewdocFileNew();
	afx_msg void OnNewdocDrawing();
	afx_msg void OnNewdocCounter();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// The one and only CMDIApp object
extern CMDIApp theApp;

/////////////////////////////////////////////////////////////////////////////
