// DrawFormView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDrawFormView form view

class CDrawFormView : public CFormView
{
protected:
	CDrawFormView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDrawFormView)

// Form Data
public:
	//{{AFX_DATA(CDrawFormView)
	enum { IDD = IDD_FORMVIEW };
	int		m_nX;
	int		m_nY;
	int		m_nShape;
	//}}AFX_DATA

// Attributes
public:
	CDrawDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrawFormView)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDrawFormView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

private:
	COLORREF m_crBackColor;
	CBrush m_brBack;

	// Generated message map functions
	//{{AFX_MSG(CDrawFormView)
	afx_msg void OnApply();
	afx_msg void OnBackgroundRed();
	afx_msg void OnUpdateBackgroundRed(CCmdUI* pCmdUI);
	afx_msg void OnBackgroundGreen();
	afx_msg void OnUpdateBackgroundGreen(CCmdUI* pCmdUI);
	afx_msg void OnBackgroundBlue();
	afx_msg void OnUpdateBackgroundBlue(CCmdUI* pCmdUI);
	afx_msg void OnBackgroundGray();
	afx_msg void OnUpdateBackgroundGray(CCmdUI* pCmdUI);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DrawFormView.cpp
inline CDrawDoc* CDrawFormView::GetDocument()
   { return (CDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

