// LockableSplitter.h : header file
//

#ifndef __EK_LOCKABLE_SPLITTER_H__
#define __EK_LOCKABLE_SPLITTER_H__

/////////////////////////////////////////////////////////////////////////////
// CEkLockableSplitter window

class CEkLockableSplitter : public CSplitterWnd
{
// Construction
public:
	CEkLockableSplitter();

// Attributes
public:

// Operations
public:
	void SetLock( BOOL bLock );
	BOOL GetLock() const;
	void ToggleLock();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEkLockableSplitter)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEkLockableSplitter();

protected:
	BOOL m_bLocked;

	// Generated message map functions
protected:
	//{{AFX_MSG(CEkLockableSplitter)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif  // __EK_LOCKABLE_SPLITTER_H__