// PSheetFormView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPSheetFormView form view

#include "DemoPSheet.h"

class CPSheetFormView : public CFormView
{
protected:
	CPSheetFormView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPSheetFormView)

// Form Data
public:
	//{{AFX_DATA(CPSheetFormView)
	enum { IDD = IDD_FORMVIEW };
	//}}AFX_DATA

// Attributes
public:
	CDrawDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPSheetFormView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPSheetFormView();
	CDemoPSheet m_psheet;		// embedded property sheet

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CPSheetFormView)
	afx_msg void OnApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PSheetFormView.cpp
inline CDrawDoc* CPSheetFormView::GetDocument()
   { return (CDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

