// CoordsPPage.cpp : implementation file
//

#include "stdafx.h"
#include "SetActivePage.h"

#include "CoordsPPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCoordsPPage property page

IMPLEMENT_DYNCREATE(CCoordsPPage, CPropertyPage)

CCoordsPPage::CCoordsPPage() : CPropertyPage(CCoordsPPage::IDD)
{
	//{{AFX_DATA_INIT(CCoordsPPage)
	m_nX = 0;
	m_nY = 0;
	//}}AFX_DATA_INIT
}

CCoordsPPage::~CCoordsPPage()
{
}

void CCoordsPPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCoordsPPage)
	DDX_Text(pDX, IDC_X, m_nX);
	DDX_Text(pDX, IDC_Y, m_nY);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCoordsPPage, CPropertyPage)
	//{{AFX_MSG_MAP(CCoordsPPage)
	ON_BN_CLICKED(IDC_GOTO_SHAPE, OnGotoShape)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCoordsPPage message handlers

void CCoordsPPage::OnGotoShape() 
{
	CPropertySheet* pParent = DYNAMIC_DOWNCAST( CPropertySheet, GetParent() );
	if( pParent )
	{
		pParent->SetActivePage( 1 );	// 2nd page
	}
}
