// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#include "BorderBar.h"

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    m_wndTBshapes;
	CToolBar    m_wndTBdemo;

	CBorderBar	m_wndBorderTop, m_wndBorderLeft, m_wndBorderBottom, m_wndBorderRight;
	enum
	{
			IDW_BORDER_TOP		= AFX_IDW_CONTROLBAR_LAST-1,
			IDW_BORDER_BOTTOM	= AFX_IDW_CONTROLBAR_LAST-2,
			IDW_BORDER_LEFT		= AFX_IDW_CONTROLBAR_LAST-3,
			IDW_BORDER_RIGHT	= AFX_IDW_CONTROLBAR_LAST-4
	};

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewShapesToolbar();
	afx_msg void OnUpdateViewShapesToolbar(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
