// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#include "DemoDlg.h"

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

protected:
	BOOL CreateToolBarWithOptions(	CToolBar* pBar,
									UINT nIDBar,
									UINT nIDResource,
									CDemoDlg* pDlg,
									LPCTSTR lpszName );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndTBdemo;

	CToolBar*   m_pToolBar;
	CDemoDlg	m_dlgStandard;

	CToolBar*   m_pTBshapes;
	CDemoDlg	m_dlgShapes;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewShapesToolbar();
	afx_msg void OnUpdateViewShapesToolbar(CCmdUI* pCmdUI);
	afx_msg void OnCreateStandardToolbar();
	afx_msg void OnCreateShapesToolbar();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
