#pragma once

/////////////////////////////////////////////////////////////////////////////
// CColorMenu self-drawn menu

class CColorMenu : public CMenu
{
// Construction
public:
	CColorMenu();

// Attributes
public:

// Operations
public:
	static COLORREF GetColorRef( UINT nID );

// Implementation
protected:
	virtual void DrawItem( LPDRAWITEMSTRUCT lpDIS );
	virtual void MeasureItem( LPMEASUREITEMSTRUCT lpMIS );

	static int s_ColorMap[17];

	enum {	CX_COLOR = 40, CX_COLOR_LEFT_MARGIN = 5, CX_COLOR_RIGHT_MARGIN = 5,
			CY_COLOR_MARGIN = 2 };
};

/////////////////////////////////////////////////////////////////////////////
