// DrawFormView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDrawFormView form view

class CDrawFormView : public CFormView
{
protected:
	CDrawFormView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDrawFormView)

// Form Data
public:
	//{{AFX_DATA(CDrawFormView)
	enum { IDD = IDD_FORMVIEW };
	CEdit	m_edtY;
	CEdit	m_edtX;
	CComboBox	m_cmbShape;
	CButton	m_cmdApply;
	int		m_nX;
	int		m_nY;
	int		m_nShape;
	//}}AFX_DATA

// Attributes
public:
	CDrawDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrawFormView)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDrawFormView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


protected:
	CToolTipCtrl m_ToolTip;		// Tooltip control

	// Generated message map functions
	//{{AFX_MSG(CDrawFormView)
	afx_msg void OnApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DrawFormView.cpp
inline CDrawDoc* CDrawFormView::GetDocument()
   { return (CDrawDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

