/////////////////////////////////////////////////////////////////////////////
// CSplitFrame frame with splitter

#include "EkLockableSplitter.h"

class CSplitFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CSplitFrame)
protected:
	CSplitFrame();           // protected constructor used by dynamic creation

// Attributes
protected:
	CEkLockableSplitter    m_wndSplitter1;		// Vertical splitter
	CEkLockableSplitter    m_wndSplitter2;		// Horizontal splitter

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitFrame)
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSplitFrame();

	// Generated message map functions
	//{{AFX_MSG(CSplitFrame)
	afx_msg void OnSplitterLock();
	afx_msg void OnUpdateSplitterLock(CCmdUI* pCmdUI);
	afx_msg void OnSplitterUnlock();
	afx_msg void OnUpdateSplitterUnlock(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

