#ifndef __EKMULTIVIEWTEMPLATE_H__
#define __EKMULTIVIEWTEMPLATE_H__

#include <afxtempl.h>	// For CTypedPtrList template

class CEkMultiViewTemplate : public CMultiDocTemplate
{
	DECLARE_DYNAMIC(CEkMultiViewTemplate)

// Constructors
public:
	CEkMultiViewTemplate(UINT nIDResource, CRuntimeClass* pDocClass,
		CRuntimeClass* pFrameClass, CRuntimeClass* pViewClass);

// Operations
public:
	void AddViewTemplate( CMultiDocTemplate* pViewTemplate );

// Implementation
public:
	virtual CDocument* OpenDocumentFile(
		LPCTSTR lpszPathName, BOOL bMakeVisible = TRUE);

protected:
	// Internal list of pointers to additional "view"
	// document templates
	CTypedPtrList< CObList, CMultiDocTemplate* > m_ViewList;
};

#endif  // __EKMULTIVIEWTEMPLATE_H__