#pragma once

// DemoPSheet.h : header file
//

#include "CoordsPPage.h"
#include "ShapePPage.h"

class CDrawDoc;		// Forward declaration

/////////////////////////////////////////////////////////////////////////////
// CDemoPSheet

class CDemoPSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CDemoPSheet)

// Construction
public:
	CDemoPSheet(CDrawDoc* pDoc, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CCoordsPPage m_CoordsPPage;
	CShapePPage m_ShapePPage;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoPSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDemoPSheet();

	// Generated message map functions
protected:
	CDrawDoc* m_pDoc;	// Pointer to our associated document

	//{{AFX_MSG(CDemoPSheet)
	afx_msg void OnApplyNow();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

