// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    m_wndTBshapes;
	CToolBar    m_wndTBdemo;

protected:	// "Maximize message pane" behavior
	UINT m_nMessagePaneID;		// Save message pane ID
	UINT m_nMessagePaneStyle;	// Save message pane style
	INT  m_cxMessagePaneWidth;	// Save message pane width
	BOOL m_bInMenuSelect;		// In "menu selection" mode?

protected:
	BOOL m_bMaximizeMessagePane;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewShapesToolbar();
	afx_msg void OnUpdateViewShapesToolbar(CCmdUI* pCmdUI);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnMenuSelect(UINT nItemID, UINT nFlags, HMENU hSysMenu);
	afx_msg void OnDemoMaximizeMessagePane();
	afx_msg void OnUpdateDemoMaximizeMessagePane(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDemoLongPrompt(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
