// DemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SelectToolbarOptions.h"
#include "DemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog


CDemoDlg::CDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemoDlg)
	m_bCreateTop = FALSE;
	m_bCreateBottom = FALSE;
	m_bCreateFloating = FALSE;
	m_bEnableDocking = FALSE;
	m_bEnableTop = FALSE;
	m_bEnableBottom = FALSE;
	m_bEnableLeft = FALSE;
	m_bEnableRight = FALSE;
	m_bEnableAny = FALSE;
	m_bEnableFloatMulti = FALSE;
	m_bDockControlBar = FALSE;
	m_bDockbarTop = FALSE;
	m_bDockbarBottom = FALSE;
	m_bDockbarLeft = FALSE;
	m_bDockbarRight = FALSE;
	m_bFloatControlBar = FALSE;
	m_bFloatTop = FALSE;
	m_bFloatBottom = FALSE;
	m_bFloatLeft = FALSE;
	m_bFloatRight = FALSE;
	m_strName = _T("");
	m_bSizeDynamic = FALSE;
	//}}AFX_DATA_INIT
}


void CDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemoDlg)
	DDX_Check(pDX, IDC_CREATE_TOP, m_bCreateTop);
	DDX_Check(pDX, IDC_CREATE_BOTTOM, m_bCreateBottom);
	DDX_Check(pDX, IDC_CREATE_FLOATING, m_bCreateFloating);
	DDX_Check(pDX, IDC_ENABLE_DOCKING, m_bEnableDocking);
	DDX_Check(pDX, IDC_ENABLE_TOP, m_bEnableTop);
	DDX_Check(pDX, IDC_ENABLE_BOTTOM, m_bEnableBottom);
	DDX_Check(pDX, IDC_ENABLE_LEFT, m_bEnableLeft);
	DDX_Check(pDX, IDC_ENABLE_RIGHT, m_bEnableRight);
	DDX_Check(pDX, IDC_ENABLE_ANY, m_bEnableAny);
	DDX_Check(pDX, IDC_ENABLE_FLOAT_MULTI, m_bEnableFloatMulti);
	DDX_Check(pDX, IDC_DOCK_CONTROL_BAR, m_bDockControlBar);
	DDX_Check(pDX, IDC_DOCKBAR_TOP, m_bDockbarTop);
	DDX_Check(pDX, IDC_DOCKBAR_BOTTOM, m_bDockbarBottom);
	DDX_Check(pDX, IDC_DOCKBAR_LEFT, m_bDockbarLeft);
	DDX_Check(pDX, IDC_DOCKBAR_RIGHT, m_bDockbarRight);
	DDX_Check(pDX, IDC_FLOAT_CONTROL_BAR, m_bFloatControlBar);
	DDX_Check(pDX, IDC_FLOAT_TOP, m_bFloatTop);
	DDX_Check(pDX, IDC_FLOAT_BOTTOM, m_bFloatBottom);
	DDX_Check(pDX, IDC_FLOAT_LEFT, m_bFloatLeft);
	DDX_Check(pDX, IDC_FLOAT_RIGHT, m_bFloatRight);
	DDX_Text(pDX, IDC_TOOLBAR, m_strName);
	DDX_Check(pDX, IDC_SIZE_DYNAMIC, m_bSizeDynamic);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CDemoDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg message handlers
